using EFB.Models.JSON;
using Newtonsoft.Json;

namespace EFB.Models
{
    public class ViewChartModel
    {
        public ChartModel Charts { get; set; }
        public Chart Selected { get; set; }

        public ViewChartModel(ChartModel current, string selected)
        {
            Charts = current;
            if (selected != null)
            {
                Selected = JsonConvert.DeserializeObject<Chart>(selected);
            }
        }
    }
}